Subject: Re: git-submodule getting submodules from the parent repository

From: Johannes Sixt <[email-masked]>
Date: Mon, 31 Mar 2008 08:22:59 +0200

Avery Pennarun schrieb:
> It's a  pain to check out / mirror / check in / push.  git-submodule
> doesn't even init automatically when you check out A, so you have to
> run it yourself.  The relative paths of A, B, and C on your mirror
> have to be the same as upstream.  You can't make a local mirror of A
> without mirroring B and C.  B and C start out with a disconnected
> HEAD, so if you check in, it goes nowhere, and then when you push,
> nothing happens, and if you're unlucky enough to pull someone else's
> update to A and then "git-submodule update", it forgets your changes
> entirely.  When you check in to C, you then have to check in to B, and
> then to A, all by hand; and when you git-pull, you'd better to C, then
> B, then A, or risk having A try to check out a revision from B that
> you haven't pulled, etc.

Would a "recurse" sub-command help your workflow?

http://thread.gmane.org/gmane.comp.version-control.git/69834

-- Hannes